MTINKD(8)

NAME
mtinkd - daemon to control your EPSON printer

SYNOPSIS

mtinkd [-dev device_file] [-name model] [-usbbase pattern_device_file] [-nodaemaon] [-model model_name] [-debug] [[start] | [stop] | [status]]

DESCRIPTION

This manual page documents briefly the mtinkd command.

This manual page was written for the Debian GNU/Linux distribution because the original program does not have a manual page.

mtinkd is a status monitor for EPSON ink jet printer

It permits one to watch the remaining ink while printing.

As it keeps /dev/lp* open, you have to change your printing parameter to link the printer to /var/run/mtink/printer

OPTIONS

These programs follow the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below.

Options for mtinkd

-dev device_file
    This option is mandatory and is also used in order to get the status or to stop a running server. Device file is the name of the character device on which the printer is attached (/dev/lp0, /dev/usb/lp0, /dev/ecpp0).

-nodaemon
    This option is for test purpose, without this option mtink start in the background.

-name model
    If the printer don't return it identity you may tell which printer is attached. The name is derived from the official name and space characters are to be replaced by the "_" character. This will be the case for the Stylus Scan 2500 (model name is Scan_2500).

    This option may also be useful for multifunction device as the Stylus Photo 895 under Linux. If the printer is powered off and then on, the usb kernel will not detect the printer properly and mtinkd must be at least stopped and started again.

-model model_name
    The name of the named pipe will be set according to this name. If the -model option is not given, mtinkd will terminate if the identification returned don't comply with passed name.

-usbbase
    This option requires a special system call which is only implemented into newer kernels.

    The -type name option is required !

    path and device file base may be /usr/usblp or /usr/usb/lp. All device files matching whith the passed name will be scanned for the wanted printer, the device file will then be used later.

    If the kernel don't support the special call, scanning will fail and if the -dev device_file option was given, the given device file name will then be used.

start
    The server will be started. start may be ommited.

stop
    An running server will be stopped.

status
    This allow to ask if a server is running.

LICENSE

This manual page was written by Sylvain Le Gall <gildor@debian.org> for the Debian GNU/Linux system (but may be used by others). Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Lesser General Public License, Version 2.1 or any later version published by the Free Software Foundation; considering as source code all the file that enable the production of this manpage.

SEE ALSO

/usr/share/doc/mtink/html/index.html

AUTHOR

Sylvain Le Gall <gildor@debian.org>
    Author.

COPYRIGHT
Copyright © 2002, 2003, 2004, 2005, 2006 Sylvain Le Gall